VREDeploymentServiceAsync (VRE Manager Portlet 6.0.0-4.6.0-129692 API)
Date: 2017-07-29

org.gcube.portlets.admin.vredeployment.client

## Interface VREDeploymentServiceAsync

-     public interface VREDeploymentServiceAsync

  The async counterpart of `VREDeploymentService`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doApprove(String vreId, com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`
    `void` | `doEdit(String vreId, com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`
    `void` | `doRemove(String vreId, com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`
    `void` | `doUndeploy(String vreId, com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`
    `void` | `doViewDetails(String vreId, com.google.gwt.user.client.rpc.AsyncCallback<String> callback)`
    `void` | `doViewReport(String vreId, com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`
    `void` | `getHTMLReport(String vreId, com.google.gwt.user.client.rpc.AsyncCallback<String> callback)`
    `void` | `getVREDefinitions(com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<VREDefinitionBean>> callback)`
    `void` | `postPone(String vreId, com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`

- - ### Method Detail

    - #### getVREDefinitions

          void getVREDefinitions(com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<VREDefinitionBean>> callback)

    - #### doApprove

          void doApprove(String vreId,
                         com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

    - #### doRemove

          void doRemove(String vreId,
                        com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

    - #### doEdit

          void doEdit(String vreId,
                      com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

    - #### doViewDetails

          void doViewDetails(String vreId,
                             com.google.gwt.user.client.rpc.AsyncCallback<String> callback)

    - #### doViewReport

          void doViewReport(String vreId,
                            com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

    - #### getHTMLReport

          void getHTMLReport(String vreId,
                             com.google.gwt.user.client.rpc.AsyncCallback<String> callback)

    - #### postPone

          void postPone(String vreId,
                        com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

    - #### doUndeploy

          void doUndeploy(String vreId,
                          com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

Copyright © 2017. All Rights Reserved.